From 8b6bdff07bbf144dd7e4195892a20dc7b602e717 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 13 2017 14:54:47 +0000
Subject: [PATCH 46/51] check for optional dependencies/(build)requires


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index e033b32..e5d66db 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -461,6 +461,11 @@ class ModuleMDLinter(object):
         module names and their stream names."""
         self.check_is_dict(self.mmd['dependencies'])
 
+    @option
+    @prerequisite_for('dependencies_buildrequires_*')
+    def lint_dependencies_buildrequires_exists(self):
+        self.check('buildrequires' in self.mmd['dependencies'])
+
     @error
     @guidelines_link('#Module_dependencies')
     @detail("The 'buildrequires' dependencies block must be a dictionary"
@@ -484,6 +489,11 @@ class ModuleMDLinter(object):
         self.check_is_scalar(
             *self.mmd['dependencies']['buildrequires'].values())
 
+    @option
+    @prerequisite_for('dependencies_requires_*')
+    def lint_dependencies_requires_exists(self):
+        self.check('requires' in self.mmd['dependencies'])
+
     @error
     @guidelines_link('#Module_dependencies')
     @detail("The 'requires' dependencies block must be a dictionary"

